Bug 155822 - gtk2-devel is missing the static libraries
gtk2-devel is missing the static libraries
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-04-24 02:06 EDT by Eric Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-25 12:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2005-04-24 02:06:35 EDT
Description of problem:

The gtk2-devel package should contain static libraries (.a) for gdk
and gtk, but does not.  It didn't have them in FC1, FC2, or FC3
either.  As a result, it is not possible to statically link programs
that use GTK+ 2.x.

A similar bug #78685 was reported against glib2 in 2002, and was
subsequently fixed in early 2003 by adding --enable-static to the
configure command line, and adding the appropriate %files directives.
 The same general fix should work for gtk2.

Version-Release number of selected component (if applicable):

gtk2-2.4.13-9 in Fedora Core 3
gtk2-2.6.4-2 in FC4test2

How reproducible:

Steps to Reproduce:
1.  rpm -ql gtk2-devel

Actual results:

output does not include any .a libraries, such as libgtk-x11-2.0.a

Expected results:

output should include .a libraries, such as libgtk-x11-2.0.a

Additional info:
Comment 1 Matthias Clasen 2005-04-25 12:32:56 EDT
Static libraries for gtk just don't work well enough to justify including them.
To make static linking work for gtk, you basically have to compile every module
you ever going to use into the libraries (image loaders, input methods, theme
Comment 2 Eric Smith 2005-04-25 16:01:20 EDT
Forgive me for being dense, but I don't understand the problem.  All these
things are compiled into the dynamic libraries; why shouldn't they also
be compiled into static libraries?

I have seen statically compiled applications using GTK+ 2.x built on
other distributions.  Some of the users of my programs have requested
that I provide statically linked versions.  I'd think this would be an
issue for your Red Hat Enterprise Linux customers, who might want statically
linked binaries of third party applications.  For instance, if they were running
RHEL 3 and a software vendor was building with RHEL 4, or vice versa.

Note You need to log in before you can comment on or make changes to this bug.